%define vnc_version 4_1_2
%define java_vnc_version 4_1

Summary:   A remote display system.
Name:      vnc
Version:   4.1.2
Release:   14%{?dist}.2
URL:       http://www.realvnc.com
Source0:   http://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
Source1:   http://www.realvnc.com/dist/vnc-%{java_vnc_version}-javasrc.tar.gz
# This is from 'rpmbuild -bp xorg-x11.spec':
Source2:   xorg-x11-server-1.1.1-48.42.el5.tar.bz2
Source3:   vncserver.init
Source5:   vnc-16x16.png
Source6:   vnc-24x24.png
Source7:   vnc-48x48.png
Source8:   Makefile.am
Patch0:    vnc-cookie.patch
Patch1:    vnc-gcc4.patch
Patch2:    vnc-use-fb.patch
Patch3:    vnc-xclients.patch
Patch4:    vnc-idle.patch
Patch5:    vnc-via.patch
Patch7:    vnc-fPIC.patch
Patch8:    vnc-restart.patch
Patch9:    vnc-vncpasswd.patch
Patch11:   vnc-modular-xorg.patch
Patch12:   vnc-nohttpd.patch
Patch15:   vnc-viewer-reparent.patch
Patch16:   vnc-64bit.patch
Patch17:   vnc-select.patch
Patch18:   vnc-null-interface.patch
Patch21:   vnc-newfbsize.patch
Patch22:   vnc-config.patch
Patch23:   vnc-render.patch
Patch24:   vnc-ipv6.patch
Patch26:   vnc-maint.patch
Patch27:   vnc-rh212985.patch
Patch28:   vnc-rh227654.patch
Patch29:   vnc-rh282661.patch
Patch30:   vnc-rh464783.patch
Patch31:   vnc-CVE-2008-4770.patch
Patch32:   vnc-rh499244.patch
License:   GPL
Group:     User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: /usr/bin/perl tcp_wrappers
BuildRequires: zlib-devel libjpeg-devel
BuildRequires: desktop-file-utils >= 0.2.92
BuildRequires: gcc-java
BuildRequires: autoconf, automake, autoconf213, libtool, flex, bison, pkgconfig, patchutils
BuildRequires: expat-devel, freetype-devel
BuildRequires: libX11-devel, xorg-x11-xtrans-devel, libXau-devel
BuildRequires: libXdmcp-devel, libxkbfile-devel, libXfont-devel
BuildRequires: xorg-x11-proto-devel, libXext-devel
BuildRequires: libXtst-devel, libfontenc-devel, xorg-x11-util-macros
BuildRequires: libXt-devel, mesa-source
BuildRequires: libselinux-devel
Prereq:    /sbin/chkconfig /sbin/service
Prereq:   gtk2 >= 2.6
Requires: /sbin/runuser

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.  This package contains a
client which will allow you to connect to other desktops running a VNC
server.

%package server
Summary: A VNC server.
Requires: bash >= 2.0, /usr/bin/mcookie, xorg-x11-xauth, xorg-x11-fonts-base
Group: User Interface/X
Prereq: /sbin/chkconfig /etc/init.d

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.

%prep
%setup -q -n vnc-%{vnc_version}-unixsrc -a1
mkdir -p unix/xorg-server-1.1.1/hw/vnc
pushd unix/xorg-server-1.1.1
bzip2 -dc %{SOURCE2} | tar -xkf - || :
popd
%patch0 -p1 -b .cookie
%patch1 -p1 -b .gcc4
%patch2 -p1 -b .use-fb
%patch3 -p1 -b .xclients
%patch4 -p1 -b .idle
%patch5 -p1 -b .via
%patch7 -p1 -b .fPIC
%patch8 -p1 -b .restart
%patch9 -p1 -b .vncpasswd
%patch11 -p1 -b .modular-xorg
%patch12 -p1 -b .nohttpd
%patch15 -p1 -b .viewer-reparent
%patch16 -p1 -b .64bit
%patch17 -p1 -b .select
#patch18 -p1 -b .null-interface
%patch21 -p1 -b .newfbsize
%patch22 -p1 -b .config
%patch23 -p1 -b .render
%patch24 -p1 -b .ipv6
%patch26 -p1 -b .maint
%patch28 -p1 -b .rh227654

cp -a unix/xc/programs/Xserver/vnc/Xvnc/xvnc.cc \
	unix/xc/programs/Xserver/Xvnc.man \
	unix/xc/programs/Xserver/vnc/*.{h,cc} \
	unix/xorg-server-*/hw/vnc/
cp -a unix/xorg-server-*/{cfb/cfb.h,hw/vnc}
cp -a unix/xorg-server-*/{fb/fb.h,hw/vnc}
cp -a unix/xorg-server-*/{fb/fbrop.h,hw/vnc}
sed -i -e 's,xor,c_xor,' -e 's,and,c_and,' \
	unix/xorg-server-*/hw/vnc/{cfb,fb,fbrop}.h

cp -a %{SOURCE8} unix/xorg-server-1.1.1/hw/vnc/

%patch27 -p1 -b .rh212985
%patch29 -p1 -b .rh282661
%patch30 -p1 -b .rh464783
%patch31 -p1 -b .CVE-2008-4770
%patch32 -p1 -b .rh499244

%build
cd unix
autoconf-2.13 # For use-fb patch
%configure --with-installed-zlib --with-fb
make %{?_smp_mflags}
cd ../vnc-%{java_vnc_version}-javasrc/java
make JAVAC="gcj -C" JAR=fastjar %{?_smp_mflags}

cd ../../unix/xorg-server-*
autoreconf -fiv
%configure --disable-xorg --disable-xvfb --disable-xnest \
	--with-pic \
	--disable-composite \
        --disable-xprint \
        --disable-static \
        --with-os-name="Red Hat Enterprise Linux 5" \
        --with-os-vendor="Red Hat, Inc." \
        --with-xkb-output=%{_localstatedir}/lib/xkb \
        --with-rgb-path=%{_datadir}/X11/rgb \
        --disable-xorgcfg \
	--disable-dmx \
        --disable-lbx \
	--enable-xdmcp \
	--disable-xevie \
	--disable-dri \
	--with-default-font-path="unix/:7100,built-ins" \
	--enable-glx \
	--with-mesa-source=%{_datadir}/mesa/source

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

cd unix
bin=%{buildroot}%{_bindir}
man=%{buildroot}%{_mandir}
ext=%{buildroot}%{_libdir}/xorg/modules/extensions
mkdir -p $bin $man $man/man1 $ext
./vncinstall $bin $man $ext
chmod u+w $bin/* $ext/* || :

mkdir -p %{buildroot}%{_datadir}/vnc/classes
cp -a ../vnc-%{java_vnc_version}-javasrc/java/{index.vnc,logo150x150.gif,vncviewer.jar} %{buildroot}%{_datadir}/vnc/classes

mkdir -p %{buildroot}/etc/rc.d/init.d
install -m755 %{SOURCE3} %{buildroot}/etc/rc.d/init.d/vncserver

mkdir -p %{buildroot}/etc/sysconfig
cat > %{buildroot}/etc/sysconfig/vncservers << "EOF"
# The VNCSERVERS variable is a list of display:user pairs.
#
# Uncomment the lines below to start a VNC server on display :2
# as my 'myusername' (adjust this to your own).  You will also
# need to set a VNC password; run 'man vncpasswd' to see how
# to do that.  
#
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/archive/vnc/sshvnc.html>.

# Use "-nolisten tcp" to prevent X connections to your VNC server via TCP.

# Use "-nohttpd" to prevent web-based VNC clients connecting.

# Use "-localhost" to prevent remote VNC clients connecting except when
# doing so through a secure tunnel.  See the "-via" option in the
# `man vncviewer' manual page.

# VNCSERVERS="2:myusername"
# VNCSERVERARGS[2]="-geometry 800x600 -nolisten tcp -nohttpd -localhost"
EOF
chmod 644 %{buildroot}/etc/sysconfig/vncservers

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,24x24,48x48}/apps
install %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vnc.png
install %{SOURCE6} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/vnc.png
install %{SOURCE7} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/vnc.png
mkdir -p %{buildroot}/etc/X11/applnk/Applications
cat > vncviewer.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=VNC Viewer
Comment=VNC client application
Exec=/usr/bin/vncviewer
Icon=vnc.png
Terminal=false
Type=Application
StartupWMClass=VNC Viewer: Connection Details
EOF
# Desktop file installation.
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor vnc --delete-original    \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  --add-category X-Red-Hat-Extra                       \
  --add-category Utility                               \
  --add-category Application                           \
  vncviewer.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ] && [ -f %{_datadir}/icons/hicolor/index.theme ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ] && [ -f %{_datadir}/icons/hicolor/index.theme ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%post server
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add vncserver
fi

%preun server
if [ "$1" = 0 ]; then
  /sbin/service vncserver stop >/dev/null 2>&1
  /sbin/chkconfig --del vncserver
fi

%files
%defattr(-,root,root)
%doc LICENCE.txt README 
%{_bindir}/vncviewer
%{_datadir}/applications/*
%{_mandir}/man1/vncviewer.1*
%{_datadir}/icons/hicolor/*/*/*

%files server
%defattr(-,root,root)
%attr(0755,root,root) %config /etc/rc.d/init.d/vncserver
%config(noreplace) /etc/sysconfig/vncservers
%{_bindir}/Xvnc
%{_bindir}/vncpasswd
%{_bindir}/vncconfig
%{_bindir}/vncserver
%{_bindir}/x0vncserver
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncpasswd.1*
%{_mandir}/man1/vncconfig.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/x0vncserver.1*
%{_libdir}/xorg/modules/extensions/libvnc.so

%changelog
* Thu Mar 25 2010 Adam Tkac <atkac redhat com> 4.1.2-14.el5_5.2
- make "tab" key working in the Java client

* Mon Jan 26 2009 Adam Tkac <atkac redhat com> 4.1.2-14.el5_3.1
- CVE-2008-4770

* Tue Oct 21 2008 Adam Tkac <atkac redhat com> 4.1.2-14
- disable XKB, it causes too many problems (#464783)

* Fri Oct 17 2008 Adam Tkac <atkac redhat com> 4.1.2-13
- initialize XKB correctly (#464783)

* Mon Aug 11 2008 Adam Tkac <atkac redhat com> 4.1.2-12
- return nonzero number when Xvnc fails to start (#458651)

* Mon Jul 21 2008 Adam Tkac <atkac redhat com> 4.1.2-11
- validate framebuffer bounds before dump (#282661)

* Mon Jul 21 2008 Adam Tkac <atkac redhat com> 4.1.2-10.2
- updated X to RHEL 5.2 codebase
- enabled GLX extension

* Mon Jul 21 2008 Adam Tkac <atkac redhat com> 4.1.2-10.1
- vncserver prints error when Xvnc fails to start
- enabled RENDER on all archs
- initialize visuals correctly
- remove wrong vnc-render-sigfault.patch

* Mon Jul 21 2008 Adam Tkac <atkac redhat com> 4.1.2-10
- build cleanup
  - vnc-maint.patch
- removed unused patches
  - vnc-def.patch
  - vnc-s390.patch
  - vnc-fontpath.patch
  - vnc-ppc64.patch
  - vnc-build.patch

* Mon Jan 15 2007 Adam Tkac <atkac redhat com> 4.1.2-9.el5
- fixed render segfaults in 8bpp server mode

* Mon Jan 08 2007 Adam Tkac <atkac redhat com> 4.1.2-8.el5
- fixed black-screen problems on zSeries (#203304, enabled RENDER)

* Wed Dec 13 2006 Adam Tkac <atkac redhat com> 4.1.2-7.el5
- added xorg-x11-fonts-base + xorg-x11-xauth dependencies
- only ppc+ppc64 has enabled render extension by default

* Wed Dec 06 2006 Adam Tkac <atkac redhat com> 4.1.2-6.el5
- vnc is IPv6 ready now. (#218422)

* Tue Nov 28 2006 Adam Tkac <atkac redhat.com> 4.1.2-5.el5
- fixed gtk applications problems on 64bit big-endian machines

* Wed Oct 25 2006 Adam Tkac <atkac@redhat.com> 4.1.2-4
- fixed vncconfig crashes (#205176)

* Mon Jul 18 2006 Jitka Kudrnacova <jkudrnac@redhat.com> - 4.1.2-3
- vncviewer now supports NewFBSize pseudoencoding (#180939)
- do not BuildRequire libdrm-devel on s390, s390x, ppc64 it is not available there

* Tue Jun 13 2006 Jeremy Katz <katzj@redhat.com> - 4.1.2-2
- update xorg-x11-server to 1.1.0 to fix crashes in anaconda

* Fri May 26 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.2-1
- enable OpenGL support

* Thu May 25 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.2-0.1
- fixed building on ppc64

* Thu May 18 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.2-0
- update to version 4.1.2

* Wed May 10 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-38
- fixed crash of Xnvc caused by a NULL pointer in interfaces (bug #187607)
- This also fixes crash of Xvnc when vpnc is running (bug #187069)
- don't build on ppc64 due to intermittent build problems

* Fri Apr 21 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-37
- removed liblbxutil-devel from BuildRequires

* Tue Feb 28 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-36
- with default cofiguration, /etc/init.d/vncserver start will say 
  "no displays configured" (bug #182161)
  
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4.1.1-35.1
- bump again for double-long bug on ppc(64)

* Wed Feb 08 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-35
- Add a test for existence of index.theme before calling
  gtk-update-icon-cache in post-(un)installation script,
  bug #179704

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.1.1-34.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Tim Waugh <twaugh@redhat.com> 4.1.1-34
- Updated xorg-x11-server to 1.0.1-1.

* Tue Jan  3 2006 Tim Waugh <twaugh@redhat.com> 4.1.1-33
- Use VNC-provided Xregion (bug #176435).
- Prevent restorecon error message when not present (bug #176654).

* Fri Dec 23 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-32
- Use system libtool to fix libvnc.so build (bug #176435).

* Wed Dec 21 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-31
- Rebase on xorg-x11-server-1.0.0-2.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-30
- Enable Xdmcp (bug #175298).

* Thu Dec  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-29
- Fix x0vncserver (bug #172410).

* Tue Dec  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-28
- Enable all the extensions, which were accidentally disabled.

* Tue Dec  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-27
- Fix 64-bit server (bug #174702).
- Build requires freetype-devel.
- Build requires libXext-devel, libXtst-devel, automake, libtool, pkgconfig,
  libfontenc-devel, xorg-x11-util-macros.

* Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-26
- Apply patch to allow vncviewer window reparenting (bug #174640).
- Build again on s390/s390x (bug #174569).

* Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-25
- Actually initialise the vnc extension in Xvnc.
- Disable lbx.

* Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-24
- Build X extension module again.
- Install X extension module into modules/ directory.
- Remove xscreensaver patch, since it causes badness.

* Fri Nov 25 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-23
- ExcludeArch s390 s390x (see bug #174569).
- Re-base on modular xorg-x11 (bug #173323).
- Build requires modular X things.

* Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-22
- Extension module is not available on all architectures.

* Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-21
- Install extension module into the correct directory.

* Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-20
- Fix font path correctly (bug #173160).

* Wed Nov 16 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-19
- Remove xorg-x11-devel build requirement to see what breaks.
- Hack font paths (bug #173160).

* Tue Nov 15 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-18
- Build requires xorg-x11-devel not XFree86-devel.

* Tue Sep  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-17
- Make vncviewer prevent xscreensaver from blanking screen (bug #106552).

* Thu Aug 11 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-16
- Added -nohttpd option to vncserver, based on patch from bug #161288.
- Included -nohttpd, -nolisten tcp, and -localhost options in example
  sysconfig file (bug #165334).

* Mon Aug  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-15
- Fixed xorg-x11 build (__SSP__ gets set by -fstack-protector).
- Fixed desktop file again (bug #63689).

* Wed Jul 14 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-14
- Pulled RENDER support altogether.  It can cause Xvnc to get into a busy
  loop somehow.

* Wed Jul 13 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-13
- RENDER clipping fix from Mark McLoughlin.

* Mon Jun 27 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-12
- Fixed vncpasswd crash (bug #160471).

* Wed Jun 22 2005 Tim Waugh <twaugh@redhat.com>
- Updated URL in vncservers file (bug #161334).

* Tue Jun 21 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-11
- Don't ship vncconfig.py any more.
- Enable render by default for further testing.

* Mon Jun 20 2005 Tim Waugh <twaugh@redhat.com>
- Build requires expat-devel (bug #160982).

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 4.1.1-10
- silence %%post

* Fri Apr 15 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-9
- Disable render by default.  There are still screen artifacts from it.

* Fri Apr  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-8
- Further render patch fix for Peter Åstrand.

* Thu Mar 31 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-7
- Render patch fix from Peter Åstrand.  Enabled render by default again.

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com> 4.1.1-6
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 4.1.1-5
- Update the GTK+ theme icon cache on (un)install

* Thu Mar 24 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-4
- Upgraded base package to xorg-x11-6.8.2-13.

* Thu Mar 17 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-3
- Disable render by default (+render turns it back on).

* Fri Mar 11 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-2
- 4.1.1 (with 4.1 Java viewer).
- No longer need module patch.

* Thu Mar 10 2005 Tim Waugh <twaugh@redhat.com> 4.1-0.2
- Improved render patch from Peter Åstrand.

* Thu Mar  3 2005 Tim Waugh <twaugh@redhat.com> 4.1-0.1
- 4.1 (but still 4.0 Java viewer for the moment).
- Removed sparc patch.
- Fixed VNC module link line (from upstream).

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 4.0-15
- Upgraded base package to xorg-x11-6.8.2-6.
- Rebuild for new GCC.

* Wed Feb 23 2005 Tim Waugh <twaugh@redhat.com> 4.0-14
- Render support from Peter Åstrand.

* Thu Feb  3 2005 Tim Waugh <twaugh@redhat.com>
- Don't restart the vncserver service on upgrade.

* Tue Feb  1 2005 Tim Waugh <twaugh@redhat.com> 4.0-13
- Upgraded base package to xorg-x11-6.8.1.903-2.

* Fri Jan  7 2005 Tim Waugh <twaugh@redhat.com>
- Build requires patchutils (bug #144450).

* Wed Jan  5 2005 Tim Waugh <twaugh@redhat.com> 4.0-12
- Don't use initlog in the initscript.

* Fri Dec 31 2004 Tim Waugh <twaugh@redhat.com>
- Cookie generation improvement from Jon Peatfield.

* Mon Dec 13 2004 Tim Waugh <twaugh@redhat.com> 4.0-11
- Create /tmp/.X11-unix if it doesn't already exist.

* Wed Nov 24 2004 Tim Waugh <twaugh@redhat.com> 4.0-10
- Use fastjar, not jar, so that the package rebuilds (bug #140671).

* Wed Nov 17 2004 Tim Waugh <twaugh@redhat.com> 4.0-9
- Don't build hw/xfree86/etc.
- Prevent xorg-x11 build failure in rman.
- Build requires autoconf, flex, bison.
- Use correct PATH setting when started from initscript (bug #84167).

* Wed Oct  6 2004 Tim Waugh <twaugh@redhat.com> 4.0-8
- Use runuser not su in initscript (bug #134594).

* Wed Sep 29 2004 Tim Waugh <twaugh@redhat.com> 4.0-7
- Upgraded base package to xorg-x11-6.8.1-4.

* Tue Aug 31 2004 Tim Waugh <twaugh@redhat.com> 4.0-6
- Upgraded base package to xorg-x11-6.7.99.903-1.

* Fri Aug 27 2004 Tim Waugh <twaugh@redhat.com> 4.0-5
- Built for Fedora Core 2.

* Wed Aug 25 2004 Tim Waugh <twaugh@redhat.com> 4.0-4
- Apply and enable Kristian Høgsberg's --use-fb patch.

* Mon Aug  2 2004 Tim Waugh <twaugh@redhat.com>
- Fixed vnc-via patch (bug #128940).

* Thu Jun 24 2004 Tim Waugh <twaugh@redhat.com> 4.0-3
- 4.0.
- No longer need hotspot patch.
- Add sparc patch from bug #126382.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  1 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.6
- Turn ppc64 builds on again.

* Tue Jun  1 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.5
- Exclude ppc64 until the build machine is fixed.
- Undo last vnc.def change to get vnc.so back.

* Fri May 28 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.4
- Further vnc.def fix.
- Fix cursor handling for hotspots outside the bounding rectangle.

* Thu May 27 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.3
- Fix ppc64 build.
- Fix debuginfo package.
- Another fix for REGION_INIT usage.

* Wed May 26 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.2
- Switch to xorg-x11 (bug #119530).

* Thu May 20 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.1
- 4.0beta5.
- Removed compat, f8 and crash patches.
- Fixed via patch now that NULL is not a valid parameter default.
- Updated gcc34 patch.

* Wed Apr 14 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta4.11
- Allow parameters to be specified in the init script (bug #60176).

* Wed Mar 31 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta4.10
- Back down to XFree86 again, since the Xvnc binary in 4.0-1.beta4.9 doesn't
  work at all.

* Tue Mar 23 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta4.9
- Build against xorg-x11.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb  1 2004 Tim Waugh <twaugh@redhat.com>
- Build fixes for GCC 3.4.

* Fri Jan 23 2004 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.8
- Fix last fix (bug #114063).

* Thu Jan 22 2004 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.7
- Restart connect() if a signal interrupts it (bug #114063).

* Thu Nov 27 2003 Tim Waugh <twaugh@redhat.com>
- Fixed -via parsing bug in vncviewer (bug #110919).

* Fri Nov 14 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.6
- F8 fix (bug #109377).

* Mon Nov 10 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.5
- Better fix for bug #107455.

* Sat Nov  8 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.4
- Fixed zero-sized cursor problem (bug #107455).

* Thu Oct  2 2003 Tim Waugh <twaugh@redhat.com>
- Added icons (bug #105820).

* Fri Sep 19 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.3
- Avoid a potential Xvnc crash (bug #104702).

* Fri Sep  5 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.2
- 4.0beta4.
- No longer need compile, dotvnc, norender patches.
- Don't be so picky about which architectures to build on any more.
- Build requires XFree86-devel.

* Thu Aug 28 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.10
- Fixed SSH tunnelling support (bug #102213).

* Fri Aug 22 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.9
- Add SSH tunnelling support (bug #102213).

* Wed Aug 20 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.8
- Disable IdleTimeout by default.

* Mon Aug 18 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.7
- Ship vncconfig(1) front-end.
- In default xstartup, exec /etc/vnc/xstartup if it exists.
- Track XFree86 package.
- Fix compilation (bug #102547).
- Fix vncpasswd (bug #102435).

* Tue Aug 12 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.6
- Use patched tarball from XFree86 package.
- Build Java VNC viewer.

* Wed Aug  6 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.5.1
- Rebuilt.

* Wed Aug  6 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.5
- Make default xclients file include instructions for 'normal' desktop.
- Server subpackage doesn't require XFree86.
- desktop file: add StartupWMClass tag
- init script: set USER (bug #101674).
- init script: pause when restarting to give the server a chance to stop
  (bug #84817).
- vncpasswd: create ~/.vnc if it doesn't already exist.

* Tue Aug  5 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.4
- Allow old -dontdisconnect option, and behave a bit more like Xvnc used to
  if it is given (default to no password, use RFB3.3 protocol).
- Fixed DisconnectClients bug.

* Mon Aug  4 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.3
- Disable RENDER altogether for Xvnc.

* Mon Aug  4 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.2
- Reinstated init script.
- Add work-around for Xcursor bug.

* Thu Jul 31 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.1
- Initial package.
